<?php

namespace Litecms\Project\Repositories\Eloquent;

use Litecms\Project\Interfaces\ProjectRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ProjectRepository extends BaseRepository implements ProjectRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.project.project.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.project.project.model.model');
    }
}
